local DisablePopUps = {}

function DisablePopUps:new(o)
  o = o or {}
  setmetatable(o, self)
  self.__index = self
  return o
end

function DisablePopUps:Init()
  Apollo.RegisterAddon(self)
  local bCanClaimReward = #AccountItemLib.GetDailyLoginRewardsAvailable() > 0
  local ePremiumKeyStatus = AccountItemLib.GetPremiumLockboxKeyInfo().ePremiumKeyStatus
  local bCanClaimKey = ePremiumKeyStatus == AccountItemLib.CodeEnumPremiumLockboxKeyStatus.Available
  local bShowWindow = bCanClaimReward or bCanClaimKey
  self.ww = Apollo.GetAddon("WelcomeWindow")
  self.wwoo = self.ww.OnOpen
  if not bShowWindow then
    self.ww.OnOpen = function(ref, ...)
      self.wwoo(ref, ...)
      ref:OnCancel()
    end
  end
  Apollo.RegisterEventHandler("PlayerCampStart", "OnPlayerCampStart", self)
  Apollo.RegisterSlashCommand("wwopen", "OnOpen", self)
  Apollo.RegisterSlashCommand("ewshow", "OnShowExitWindow", self)
end

function DisablePopUps:OnPlayerCampStart()
  if self.bShowExitWindow then return end
  local tExitInfo = GameLib.GetGameExitInfo()
  if not tExitInfo then return end
  if tExitInfo.fTimeRemaining == 0 then ConfirmCamp() end
end

function DisablePopUps:OnOpen()
  self.wwoo(self.ww)
end

function DisablePopUps:OnShowExitWindow()
  self.bShowExitWindow = true
end

local DisablePopUpsInst = DisablePopUps:new()
DisablePopUpsInst:Init()
